Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/socklog: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Wed, 20 May 2015 22:49:42 +0000

works with runit to give rotated logs without cron.
---
 testing/socklog/APKBUILD | 49 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)
 create mode 100644 testing/socklog/APKBUILD
diff --git a/testing/socklog/APKBUILD b/testing/socklog/APKBUILD
new file mode 100644
index 0000000..66706ea
--- /dev/null
+++ b/testing/socklog/APKBUILD
_at_@ -0,0 +1,49 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=socklog
+pkgver=2.1.0
+pkgrel=0
+pkgdesc="System and kernel logging services for runit"
+url="http://smarden.org/socklog/"
+arch="all"
+license="BSD"
+makedepends="$depends_dev"
+subpackages="$pkgname-doc"
+source="http://smarden.org/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/admin/socklog-$pkgver/src
+
+prepare() {
+        local i
+        cd "$_builddir"
+        for i in $source; do
+                case $i in
+                *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+                esac
+        done
+        echo "$CC $CFLAGS" > conf-cc
+        echo "$CC $LDFLAGS" > conf-ld
+}
+
+build() {
+	cd "$_builddir"
+	make
+}
+
+package() {
+	cd "$_builddir"
+	install -d "$pkgdir"/usr/bin
+	install -d "$pkgdir"/sbin
+        for i in socklog socklog-conf; do
+                install -m755 "$i" "$pkgdir"/sbin/$i || return 1
+        done
+	for i in socklog-check tryto uncat; do
+                install -m755 "$i" "$pkgdir"/usr/bin/$i || return 1
+        done
+	install -d "$pkgdir"/usr/share/man/man8
+        cd .. && cp -rf man/* "$pkgdir"/usr/share/man/man8/
+}
+
+md5sums="5d0e8e28c9329ad3af982c5241df9ff1  socklog-2.1.0.tar.gz"
+sha256sums="aa869a787ee004da4e5509b5a0031bcc17a4ab4ac650c2ce8d4e488123acb455  socklog-2.1.0.tar.gz"
+sha512sums="920ce5e661a6a3d970fa77ee3c228d48699ea03530be2b43b7517458b25e31a0a7f352ece2d076c715b6d34dbb26b424b48eb0f55b9bcd0355b74d3e34c77ac7  socklog-2.1.0.tar.gz"
-- 
2.4.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed May 20 2015 - 22:49:42 GMT